Difference: SystemAdministratorGuideForEMI1 (39 vs. 40)

Revision 402011-10-27 - TWikiAdminUser

Line: 1 to 1
 
META TOPICPARENT name="SystemAdministratorDocumentation"

System Administrator Guide for CREAM for EMI-1 release

Changed:
<
<

1 Operations/Installation and Configuration

>
>

1 Installation and Configuration

 

0.1 Prerequisites

Line: 221 to 221
  Running the script available at http://forge.cnaf.infn.it/frs/download.php/101/disable_yum.sh (implemented by Giuseppe Platania (INFN Catania) yum autoupdate will be disabled
Changed:
<
<

0.0.1 Operations/Installation of a CREAM CE node in no cluster mode

>
>

0.0.1 Installation of a CREAM CE node in no cluster mode

  First of all, install the yum-protectbase rpm:
Line: 231 to 231
  Then proceed with the installation of the CA certificates.
Changed:
<
<

0.0.0.1 Operations/Installation of the CA certificates

>
>

0.0.0.1 Installation of the CA certificates

  The CA certificate can be installed issuing:
Line: 239 to 239
 yum install ca-policy-egi-core
Changed:
<
<

0.0.0.1 Operations/Installation of the CREAM CE software

>
>

0.0.0.1 Installation of the CREAM CE software

  The CREAM software itself can work with both Sun jdk and openjdk. However, the apel-core package, deployed in the CREAM CE node, requires mm-mysql, which explicitly requires Sun jdk. So to install the middleware software needed for the CREAM CE, install first of all Sun JDK ( jdk). This is actually not needed in a standard SL5 box, since in this case the Sun JDK rpm is available in the OS repo. Please note that this dependency on mm-mysql is being fixed by APEL developers.
Line: 258 to 258
 yum install emi-cream-ce
Changed:
<
<

0.0.0.1 Operations/Installation of the batch system specific software

>
>

0.0.0.1 Installation of the batch system specific software

  After the installation of the CREAM CE metapackage it is necessary to install the batch system specific metapackage(s):
Line: 281 to 281
 yum install emi-lsf-utils
Changed:
<
<

0.0.1 Operations/Installation of a CREAM CE node in cluster mode

>
>

0.0.1 Installation of a CREAM CE node in cluster mode

  First of all, install the yum-protectbase rpm:
Line: 291 to 291
  Then proceed with the installation of the CA certificates.
Changed:
<
<

0.0.0.1 Operations/Installation of the CA certificates

>
>

0.0.0.1 Installation of the CA certificates

  The CA certificate can be installed issuing:
Line: 299 to 299
 yum install ca-policy-egi-core
Changed:
<
<

0.0.0.1 Operations/Installation of the CREAM CE software

>
>

0.0.0.1 Installation of the CREAM CE software

  The CREAM software itself can work with both Sun jdk and openjdk. However, the apel-core package, deployed in the CREAM CE node, requires mm-mysql, which explicitly requires Sun jdk. So to install the middleware software needed for the CREAM CE, install first of all Sun JDK ( jdk). This is actually not needed in a standard SL5 box, since in this case the Sun JDK rpm is available in the OS repo. Please note that this dependency on mm-mysql is being fixed by APEL developers.
Line: 318 to 318
 yum install emi-cream-ce
Changed:
<
<

0.0.0.1 Operations/Installation of the batch system specific software

>
>

0.0.0.1 Installation of the batch system specific software

  After the installation of the CREAM CE metapackage it is necessary to install the batch system specific metapackage(s).
Line: 341 to 341
 yum install emi-lsf-utils
Changed:
<
<

0.0.0.1 Operations/Installation of the cluster metapackage

>
>

0.0.0.1 Installation of the cluster metapackage

  If the CREAM CE node has to host also the glite-cluster, install also this metapackage:
Line: 349 to 349
 yum install emi-cluster
Changed:
<
<

0.0.1 Operations/Installation of a glite-cluster node

>
>

0.0.1 Installation of a glite-cluster node

  First of all, install the yum-protectbase rpm:
Line: 359 to 359
  Then proceed with the installation of the CA certificates.
Changed:
<
<

0.0.0.1 Operations/Installation of the CA certificates

>
>

0.0.0.1 Installation of the CA certificates

  The CA certificate can be installed issuing:
Line: 367 to 367
 yum install ca-policy-egi-core
Changed:
<
<

0.0.0.1 Operations/Installation of the cluster metapackage

>
>

0.0.0.1 Installation of the cluster metapackage

  Install the glite-CLUSTER metapackage:
Line: 375 to 375
 yum install emi-cluster
Changed:
<
<

0.0.1 Operations/Installation of the BLAH BLparser

>
>

0.0.1 Installation of the BLAH BLparser

  If the new BLAH Blparser must be used, there isn't anything to be installed for the BLAH Blparser (i.e. the installation of the CREAM-CE is enough).
Line: 388 to 388
 yum install glite-yaim-cream-ce
Changed:
<
<

0.0.1 Operations/Installation of the CREAM CLI

>
>

0.0.1 Installation of the CREAM CLI

  The CREAM CLI is part of the EMI-UI. To install it please refer to https://twiki.cern.ch/twiki/bin/view/EMI/EMIui#Client_Installation_Configuratio .
 
This site is powered by the TWiki collaboration platformCopyright © 2008-2022 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback